package com.yunfeiyun.agmp.fms.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import com.yunfeiyun.agmp.common.enums.DictTypeEnums;
import com.yunfeiyun.agmp.common.utils.DictUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 供应商对象 WmsSupplier
 * 
 * @author 杨晓辉
 * @date 2023-05-25
 */
public class WmsSupplier extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 供应商标识 */
    private String supplierId;

    /** 供应商名称 */
    @Excel(name = "供应商名称")
    private String supplierName;

    /** 供应商联系人 */
    @Excel(name = "供应商联系人")
    private String supplierLinkman;

    /** 供应商联系电话 */
    @Excel(name = "供应商联系电话")
    private String supplierLinktel;

    /** 供应商联系地址 */
    @Excel(name = "供应商联系地址")
    private String supplierLinkaddress;

    /** 供应商备注 */
    @Excel(name = "供应商备注")
    private String supplierRemark;

    /** 供应商创建人 */
    @Excel(name = "供应商创建人")
    private String supplierCreator;

    /** 供应商创建时间 */
    @Excel(name = "供应商创建时间")
    private String supplierCreateddate;

    /** 供应商资质图片 */
    @Excel(name = "资质图片")
    private String supplierPreview;
    /** 供应商资质图片标识*/
    private String supplierQualificationResId;

    /**供应商类型*/
    private String supplierType;

    public String getSupplierQualificationResId() {
        return supplierQualificationResId;
    }

    public void setSupplierQualificationResId(String supplierQualificationResId) {
        this.supplierQualificationResId = supplierQualificationResId;
    }

    public String getSupplierPreview() {
        return supplierPreview;
    }

    public void setSupplierPreview(String supplierPreview) {
        this.supplierPreview = supplierPreview;
    }

    public void setSupplierId(String supplierId)
    {
        this.supplierId = supplierId;
    }

    public String getSupplierId()
    {
        return supplierId;
    }
    public void setSupplierName(String supplierName)
    {
        this.supplierName = supplierName;
    }

    public String getSupplierName()
    {
        return supplierName;
    }
    public void setSupplierLinkman(String supplierLinkman)
    {
        this.supplierLinkman = supplierLinkman;
    }

    public String getSupplierLinkman()
    {
        return supplierLinkman;
    }
    public void setSupplierLinktel(String supplierLinktel)
    {
        this.supplierLinktel = supplierLinktel;
    }

    public String getSupplierLinktel()
    {
        return supplierLinktel;
    }
    public void setSupplierLinkaddress(String supplierLinkaddress)
    {
        this.supplierLinkaddress = supplierLinkaddress;
    }

    public String getSupplierLinkaddress()
    {
        return supplierLinkaddress;
    }
    public void setSupplierRemark(String supplierRemark)
    {
        this.supplierRemark = supplierRemark;
    }

    public String getSupplierRemark()
    {
        return supplierRemark;
    }
    public void setSupplierCreator(String supplierCreator)
    {
        this.supplierCreator = supplierCreator;
    }

    public String getSupplierCreator()
    {
        return supplierCreator;
    }
    public void setSupplierCreateddate(String supplierCreateddate)
    {
        this.supplierCreateddate = supplierCreateddate;
    }

    public String getSupplierCreateddate()
    {
        return supplierCreateddate;
    }

    public void setSupplierType(String SupplierType)
    {
        this.supplierType = SupplierType;
    }

    public String getSupplierType()
    {
        return supplierType;
    }

    public String getSupplierTypeContent(){
        return DictUtils.getDictLabel(DictTypeEnums.AGM_PROCESS_TYPE.getCode(), supplierType);
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("supplierId", getSupplierId())
            .append("supplierName", getSupplierName())
            .append("supplierLinkman", getSupplierLinkman())
            .append("supplierLinktel", getSupplierLinktel())
            .append("supplierLinkaddress", getSupplierLinkaddress())
            .append("supplierRemark", getSupplierRemark())
            .append("supplierCreator", getSupplierCreator())
            .append("supplierCreateddate", getSupplierCreateddate())
            .append("supplierPreview", getSupplierPreview())
            .append("supplierQualificationResId", getSupplierQualificationResId())
            .toString();
    }
}
